summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-01-22 15:57:22 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-01-22 15:57:22 +0300
commita72c662c858c8a32f5e03a6bcd961e90abb4ae35 (patch)
tree650c082dfb0f3b23ecae5fe07126fca0c47f1450
parent5ade6e205e32dff685a176ca13c44e42c6ec698f (diff)
wine-staging: sync with gentoo
-rw-r--r--app-emulation/wine-staging/wine-staging-scm.ebuild44
1 files changed, 32 insertions, 12 deletions
diff --git a/app-emulation/wine-staging/wine-staging-scm.ebuild b/app-emulation/wine-staging/wine-staging-scm.ebuild
index 733cff4..729ff4e 100644
--- a/app-emulation/wine-staging/wine-staging-scm.ebuild
+++ b/app-emulation/wine-staging/wine-staging-scm.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -20,7 +20,7 @@ S="${WORKDIR}/${MY_P}"
STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
-GWP_V="20170830"
+GWP_V="20180119"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with Wine-Staging patchset"
@@ -33,7 +33,7 @@ STAGING_EGIT_REPO_URI="https://github.com/wine-compholio/wine-staging.git"
LICENSE="LGPL-2.1"
SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes s3tc samba scanner selinux +ssl staging test themes +threads +truetype udev +udisks v4l vaapi +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg kerberos kernel_FreeBSD +lcms ldap +mono mp3 ncurses netapi nls odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes s3tc samba scanner selinux +ssl staging test themes +threads +truetype udev +udisks v4l vaapi +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
@@ -68,6 +68,7 @@ COMMON_DEPEND="
media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
jpeg? ( virtual/jpeg:0=[${MULTILIB_USEDEP}] )
+ kerberos? ( virtual/krb5:0=[${MULTILIB_USEDEP}] )
lcms? ( media-libs/lcms:2=[${MULTILIB_USEDEP}] )
ldap? ( net-nds/openldap:=[${MULTILIB_USEDEP}] )
mp3? ( >=media-sound/mpg123-1.5.0[${MULTILIB_USEDEP}] )
@@ -169,7 +170,8 @@ PATCHES=(
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
- "${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch"
+ "${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch" #310611
+ "${PATCHDIR}/patches/${MY_PN}-2.0-prevent-build-of-localized-manpages.patch" #469418 #617864
)
PATCHES_BIN=()
@@ -387,6 +389,31 @@ src_prepare() {
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
+
+ # Fix manpage generation for locales #469418 and abi_x86_64 #617864
+ # Depends on wine-2.0-prevent-build-of-localized-manpages.patch"
+ # Duplicate manpages input for wine64
+ local man
+ for man in loader/*.man.in; do
+ cp ${man} ${man/wine/wine64} || die
+ done
+ # Add in proper manpages to Makefile
+ local search_text="wine.man.in"
+ if use abi_x86_64; then
+ sed -i "/${search_text}/i \
+ "$'\\\t'"wine64.man.in "$'\\\\' loader/Makefile.in || die
+ fi
+ local l
+ for l in de fr pl; do
+ if has ${l} ${LINGUAS-${l}}; then
+ sed -i "/${search_text}/i \
+ "$'\\\t'"wine.${l}.UTF-8.man.in "$'\\\\' loader/Makefile.in || die
+ if use abi_x86_64; then
+ sed -i "/${search_text}/i \
+ "$'\\\t'"wine64.${l}.UTF-8.man.in "$'\\\\' loader/Makefile.in || die
+ fi
+ fi
+ done
}
src_configure() {
@@ -424,6 +451,7 @@ multilib_src_configure() {
$(use_with gstreamer)
--without-hal
$(use_with jpeg)
+ $(use_with kerberos krb5)
$(use_with ldap)
$(use_enable mono mscoree)
$(use_with mp3 mpg123)
@@ -536,14 +564,6 @@ multilib_src_install_all() {
for b in "${D%/}${MY_PREFIX}"/bin/*; do
make_wrapper "${b##*/}-${WINE_VARIANT}" "${MY_PREFIX}/bin/${b##*/}"
done
-
- # respect LINGUAS when installing man pages, #469418
- local l
- for l in de fr pl; do
- use linguas_${l} || rm -r "${D%/}${MY_MANDIR}"/${l}*
- done
-
- eval "${glob_state}"
}
pkg_postinst() {